Zum Inhalt springen

Einen Gast (ohne Vimine-Konto) zu einer ÖFFENTLICHEN Veranstaltung anmelden — serverseitig

POST
/v1/events/{slug}/registrations/guest
curl --request POST \
--url https://api.vimine.network/v1/events/example/registrations/guest \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "email": "hello@example.com", "first_name": "example", "last_name": "example", "registration_type": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "note": "example", "locale": "example" }'

Für öffentliche Veranstaltungen und Anmeldearten, die keine Mitgliedschaft verlangen. Der Platz wird vorgehalten, bis die Person ihre Adresse über den Link bestätigt, den sie erhält (24 h); dann wird eine kostenlose Art bestätigt, und eine kostenpflichtige wartet auf den Beitrag. Antwortet einheitlich 202, was auch immer die Adresse ist (kein Orakel); Probleme mit Teilnahmeberechtigung und Validierung ergeben 422. Nur Client-Tokens (registrations:write); akzeptiert Idempotency-Key. Beiträge von Nichtmitgliedern sind gewerbliche Einnahmen (D-L2).

slug
erforderlich
string
Medientypapplication/json
object
email
erforderlich
string Format: email
first_name
erforderlich
string
<= 50 Zeichen
last_name
erforderlich
string
<= 50 Zeichen
registration_type
erforderlich
string Format: uuid
note
string
nullable <= 2000 Zeichen
locale

Die Sprache, in der die Anmeldung vorgenommen wurde (it, en): die Sprache der E-Mails an einen Gast und die Ersatzsprache für ein Mitglied, das nie eine gewählt hat. Standard: Accept-Language

string
nullable
Beispielerzeugt
{
"email": "hello@example.com",
"first_name": "example",
"last_name": "example",
"registration_type": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"note": "example",
"locale": "example"
}

Angenommen

Medientypapplication/json
object
status
erforderlich
string
Erlaubte Werte: accepted
Beispiel
{
"status": "accepted"
}

Ungültige Anfrage

Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Fehlende oder ungültige Zugangsdaten

Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Nicht erlaubt

Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Nicht gefunden

Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Validierung fehlgeschlagen, unbekannte Art oder nicht teilnahmeberechtigt (reasons: membership_required bei einer Veranstaltung/Art nur für Mitglieder, sold_out, …)

Ratenlimit überschritten

Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Interner Fehler

Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}